services:
  hxki-openwebui:
    image: ghcr.io/open-webui/open-webui:main
    container_name: hxki-openwebui
    ports:
      - "3002:3000"
    volumes:
      - /opt/hx-ki/openwebui:/data
    environment:
      - WEBUI_AUTH=False
    restart: unless-stopped
    networks:
      - hxki-internal

networks:
  hxki-internal:
    external: true
